%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Test-Warnings
Version:       0.033
Release:       1mamba
Summary:       Test::Warnings - Test for warnings and the lack of them
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/modules/by-module/Test/Test-Warnings-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver

%description
Test::Warnings - Test for warnings and the lack of them.

%prep
%setup -q -n Test-Warnings-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
#%doc LICENSE
## note: eventually add the remaining documents (if any)
# %doc README README.md

%changelog
* Wed Jan 24 2024 Automatic Build System <autodist@openmamba.org> 0.033-1mamba
- automatic version update by autodist

* Sun Oct 01 2023 Automatic Build System <autodist@mambasoft.it> 0.032-1mamba
- automatic version update by autodist

* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 0.031-2mamba
- rebuilt with perl 5.36.0

* Wed Jul 14 2021 Automatic Build System <autodist@mambasoft.it> 0.031-1mamba
- automatic version update by autodist

* Sun Sep 13 2020 Automatic Build System <autodist@mambasoft.it> 0.030-1mamba
- automatic update by autodist

* Tue Nov 26 2019 Automatic Build System <autodist@mambasoft.it> 0.027-1mamba
- automatic update by autodist

* Thu Sep 15 2016 Automatic Build System <autodist@mambasoft.it> 0.026-1mamba
- automatic update by autodist

* Wed Jan 07 2015 Automatic Build System <autodist@mambasoft.it> 0.020-1mamba
- automatic update by autodist

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 0.019-1mamba
- automatic update by autodist

* Tue Nov 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.016-1mamba
- package created using the webbuild interface
